members.dev
Docs
Groups

Get Group

Returns a Group by ID

GET
/v1/groups/{group_id}

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

group_id*string

Query Parameters

include_removed_memberships?boolean

If true, include full membership history on the response.

Defaultfalse

Header Parameters

Members-Context?string

Members organization id (org_…) when the client has multiple organizations.

Default""

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.members.dev/v1/groups/string"
{
  "id": "group_01KKSMB47VYGW97GFE67VGDK7M",
  "short_id": "XF42",
  "name": "VIP",
  "description": "string",
  "member_count": 0,
  "created_at": null,
  "updated_at": null,
  "members": [
    {
      "member_id": "member_01KKSMB47VYGW97GFE67VGDK7M",
      "membership_id": "group_membership_01KKSMB47VYGW97GFE67VGDK7M",
      "joined_at": null
    }
  ],
  "membership_history": [
    {
      "membership_id": "string",
      "member_id": "string",
      "joined_at": null,
      "removed_at": {}
    }
  ]
}
{
  "type": "https://api.members.dev/errors/invalid_credentials",
  "title": "Invalid credentials",
  "status": 401,
  "detail": "Invalid API Key or token.",
  "code": "invalid_credentials"
}
{
  "type": "https://api.members.dev/errors/not_linked_to_tenant",
  "title": "Not linked to tenant",
  "status": 403,
  "detail": "Not linked to this tenant",
  "code": "not_linked_to_tenant"
}
{
  "type": "https://api.members.dev/errors/member_not_found",
  "title": "Member not found",
  "status": 404,
  "detail": "No member exists with the given id in this organization.",
  "code": "member_not_found"
}
{
  "type": "https://api.members.dev/errors/members_context_required",
  "title": "Members context required",
  "status": 422,
  "detail": "This client has multiple organizations. Send the Members-Context header with the organization id (org_…) for this request.",
  "code": "members_context_required"
}
{
  "type": "https://api.members.dev/errors/rate_limit_exceeded",
  "title": "Rate limit exceeded",
  "status": 429,
  "detail": "Rate limit exceeded",
  "code": "rate_limit_exceeded"
}